## pythia8 8.1.65

=== Makefile ===
#
# Libraries Makefile. Some ideas from Geant4 Makefiles
#
#                  M. Kirsanov 07.04.2006
#                     Modified 18.11.2006
#                     26.03.2008 CLHEP dependency removed
#                  N. Lavesson 28.04.2009 clean/distclean separated
#                  M. Kirsanov 21.07.2009 Mac-OSX flags added

SHELL = /bin/sh

-include config.mk

# flags:
#
#FFLAGSSHARED = -fPIC
CFLAGSSHARED = -fPIC
CXXFLAGSSHARED = -fPIC


HEPMCERROR=
ifneq (x$(HEPMCLOCATION),x)
 ifeq ($(wildcard $(HEPMCLOCATION)/include/HepMC/*.h),)
  HEPMCERROR= HepMC interface: ERROR, no HepMC headers found in ${HEPMCLOCATION}/include/HepMC
 endif
endif

# Location of directories.
MYTMPDIR=tmp
TOPDIR=$(shell \pwd)
INCDIR=include
SRCDIR=src
LIBDIR=lib
LIBDIRARCH=lib/archive
BINDIR=bin

# Location of libraries to be built.
ifeq ($(SHAREDLIBS),yes)
  targets=$(LIBDIRARCH)/libpythia8.a
  targets+=$(LIBDIR)/libpythia8.$(SHAREDSUFFIX)
  targets+=$(LIBDIRARCH)/liblhapdfdummy.a
  targets+=$(LIBDIR)/liblhapdfdummy.$(SHAREDSUFFIX)
else
  targets=$(LIBDIRARCH)/libpythia8.a
  targets+=$(LIBDIRARCH)/liblhapdfdummy.a
endif

ifneq (x$(HEPMCLOCATION),x)
 targets+=$(LIBDIRARCH)/libhepmcinterface.a
 ifeq ($(SHAREDLIBS),yes)
  targets+=$(LIBDIR)/libhepmcinterface.$(SHAREDSUFFIX)
 endif
endif


all: $(targets) config.mk

config.mk: ./configure
	./configure

# Main part: build Pythia8 library. 

$(MYTMPDIR)/%.o : $(SRCDIR)/%.cc
	@mkdir -p $(MYTMPDIR)
	$(CXX) $(CXXFLAGS) $(CXXFLAGSSHARED) -c -I$(INCDIR) $< -o $@

$(MYTMPDIR)/archive/%.o : $(SRCDIR)/%.cc
	@mkdir -p $(MYTMPDIR)/archive
	$(CXX) $(CXXFLAGS) -c -I$(INCDIR) $< -o $@

$(MYTMPDIR)/%.o : lhapdfdummy/%.cc
	@mkdir -p $(MYTMPDIR)
	$(CXX) $(CXXFLAGS) $(CXXFLAGSSHARED) -c -I$(INCDIR) $< -o $@

$(MYTMPDIR)/archive/%.o : lhapdfdummy/%.cc
	@mkdir -p $(MYTMPDIR)/archive
	$(CXX) $(CXXFLAGS) -c -I$(INCDIR) $< -o $@

# Creating the dependency files *.d
# The compiler with option -M is used to build the dependency strings. They
# are further edited with sed (stream editor). The first sed command adds the
# dependency for the *.d files themselves, the second one is needed because
# object files are put in the directory different from src. The last line
# removes empty *.d files produced in case of error.

ifeq ($(SHAREDLIBS),yes)
  $(MYTMPDIR)/%.d : $(SRCDIR)/%.cc
	@echo Making dependency for file $<; \
	mkdir -p $(MYTMPDIR); \
	$(CC) -M -I$(INCDIR) $< | \
	sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' | \
	sed 's/$*\.o/$(MYTMPDIR)\/$*.o/' > $@; \
	[ -s $@ ] || rm -f $@
endif

$(MYTMPDIR)/archive/%.d : $(SRCDIR)/%.cc
	@echo Making dependency for file $<; \
	mkdir -p $(MYTMPDIR)/archive; \
	$(CC) -M -I$(INCDIR) $< | \
	sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' | \
	sed 's/$*\.o/$(MYTMPDIR)\/archive\/$*.o/' > $@; \
	[ -s $@ ] || rm -f $@

objects := $(patsubst $(SRCDIR)/%.cc,$(MYTMPDIR)/%.o,$(wildcard $(SRCDIR)/*.cc))
objectsarch := $(patsubst $(SRCDIR)/%.cc,$(MYTMPDIR)/archive/%.o,$(wildcard $(SRCDIR)/*.cc))

$(LIBDIR)/libpythia8.$(SHAREDSUFFIX): $(objects)
	@mkdir -p $(LIBDIR)
	$(CXX) $(LDFLAGSSHARED) -o $@ $(objects) $(LDFLAGLIBNAME),$(notdir $@)

$(LIBDIRARCH)/libpythia8.a: $(objectsarch)
	@mkdir -p $(LIBDIRARCH)
	ar cru $@ $(objectsarch)

objdum := $(patsubst lhapdfdummy/%.cc,$(MYTMPDIR)/%.o,$(wildcard lhapdfdummy/*.cc))
objdumarch := $(patsubst lhapdfdummy/%.cc,$(MYTMPDIR)/archive/%.o,$(wildcard lhapdfdummy/*.cc))

$(LIBDIR)/liblhapdfdummy.$(SHAREDSUFFIX): $(objdum)
	@mkdir -p $(LIBDIR)
	$(CXX) $(LDFLAGSSHARED) -o $@ $(objdum) $(LDFLAGLIBNAME),$(notdir $@)

$(LIBDIRARCH)/liblhapdfdummy.a: $(objdumarch)
	@mkdir -p $(LIBDIRARCH)
	ar cru $@ $(objdumarch)

deps := $(patsubst $(SRCDIR)/%.cc,$(MYTMPDIR)/%.d,$(wildcard $(SRCDIR)/*.cc))
depsarch := $(patsubst $(SRCDIR)/%.cc,$(MYTMPDIR)/archive/%.d,$(wildcard $(SRCDIR)/*.cc))


# The "if" below is needed in order to avoid producing the dependency files
# when you want to just clean

ifeq (,$(findstring clean, $(MAKECMDGOALS)))
-include $(deps)
-include $(depsarch)
endif

# Build HepMC interface part if HepMC location is set.

ifneq (x$(HEPMCLOCATION),x)
 HEPMCINCLUDE=-I$(HEPMCLOCATION)/include

 ifeq (x$(HEPMCERROR),x)

   $(MYTMPDIR)/%.o : hepmcinterface/%.cc config.mk
	@mkdir -p $(MYTMPDIR)
	$(CXX) $(CXXFLAGS) $(CXXFLAGSSHARED) $(HEPMCVFLAG) -c -I$(INCDIR) $(HEPMCINCLUDE) $< -o $@

   $(MYTMPDIR)/archive/%.o : hepmcinterface/%.cc config.mk
	@mkdir -p $(MYTMPDIR)/archive
	$(CXX) $(CXXFLAGS) $(HEPMCVFLAG) -c -I$(INCDIR) $(HEPMCINCLUDE) $< -o $@

   $(MYTMPDIR)/%.d : hepmcinterface/%.cc
	@echo Making dependency for file $<; \
	mkdir -p $(MYTMPDIR); \
	$(CC) -M -I$(INCDIR) $(HEPMCINCLUDE) $< | \
	sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' | \
	sed 's/$*.o/$(MYTMPDIR)\/$*.o/' > $@; \
	[ -s $@ ] || rm -f $@

   $(MYTMPDIR)/archive/%.d : hepmcinterface/%.cc
	@echo Making dependency for file $<; \
	mkdir -p $(MYTMPDIR)/archive; \
	$(CC) -M -I$(INCDIR) $(HEPMCINCLUDE) $< | \
	sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' | \
	sed 's/$*.o/$(MYTMPDIR)\/archive\/$*.o/' > $@; \
	[ -s $@ ] || rm -f $@

   objectsI := $(patsubst hepmcinterface/%.cc,$(MYTMPDIR)/%.o,$(wildcard hepmcinterface/*.cc))
   objectsIarch := $(patsubst hepmcinterface/%.cc,$(MYTMPDIR)/archive/%.o,$(wildcard hepmcinterface/*.cc))

   $(LIBDIR)/libhepmcinterface.$(SHAREDSUFFIX) : $(objectsI)
	@mkdir -p $(LIBDIR)
	$(CXX) $(LDFLAGSSHARED) $(objectsI) -o $@ $(LDFLAGLIBNAME),$(notdir $@)

   $(LIBDIRARCH)/libhepmcinterface.a : $(objectsIarch)
	@mkdir -p $(LIBDIRARCH)
	ar cru $(LIBDIRARCH)/libhepmcinterface.a $(objectsIarch)

   depsI := $(patsubst hepmcinterface/%.cc,$(MYTMPDIR)/%.d,$(wildcard hepmcinterface/*.cc))
   depsIarch := $(patsubst hepmcinterface/%.cc,$(MYTMPDIR)/archive/%.d,$(wildcard hepmcinterface/*.cc))

   ifeq (,$(findstring clean, $(MAKECMDGOALS)))
   -include $(depsI)
   -include $(depsIarch)
   endif

 else

   $(LIBDIRARCH)/libhepmcinterface.a $(LIBDIR)/libhepmcinterface.$(SHAREDSUFFIX) :
	@echo $(HEPMCERROR)



 endif

endif

# Clean up: remove (almost?) everything that cannot be recreated.

.PHONY: clean distclean

clean:
	rm -rf $(MYTMPDIR)
	rm -rf $(LIBDIR)
	rm -rf $(BINDIR)
	cd examples; rm -rf bin; rm -f *.exe; cd -
	cd rootexamples; rm -f *.exe; cd -

distclean: clean
	rm -f config.mk
	rm -f *~; rm -f \#*;
	cd $(SRCDIR); rm -f *~; rm -f \#*; cd -
	cd $(INCDIR); rm -f *~; rm -f \#*; cd -
	cd xmldoc; rm -f *~; rm -f \#*; cd -
	cd htmldoc; rm -f *~; rm -f \#*; cd -
	cd phpdoc; rm -f *~; rm -f \#*; cd -
	cd hepmcinterface; rm -f *~; rm -f \#*; cd -
	cd lhapdfdummy; rm -f *~; rm -f \#*; cd -
	cd examples; rm -f *~; rm -f \#*; rm -f core*; rm -f config.*; cd -
	cd rootexamples; rm -f *~; rm -f \#*; rm -f core*; rm -f config.*; cd -

=== examples/Makefile ===
#
# Examples Makefile.
#
#                  M. Kirsanov 07.04.2006
#                     Modified 18.11.2006
#                     26.03.2008 CLHEP dependency removed

SHELL = /bin/sh

-include config.mk
ifeq (x$(PYTHIA8LOCATION),x)
 PYTHIA8LOCATION=..
endif
-include $(PYTHIA8LOCATION)/config.mk

# Location of directories.
TOPDIR=$(shell \pwd)
INCDIR=include
SRCDIR=src
LIBDIR=lib
LIBDIRARCH=lib/archive
BINDIR=bin

# Libraries to include if GZIP support is enabled
ifeq (x$(ENABLEGZIP),xyes)
LIBGZIP=-L$(BOOSTLIBLOCATION) -lboost_iostreams -L$(ZLIBLOCATION) -lz
endif

# There is no default behaviour, so remind user.
all:
	@echo "Usage: for NN = example number: make mainNN"

# Create an executable for one of the normal test programs
main00  main01 main02 main03 main04 main05 main06 main07 main08 main09 main10 \
	main11 main12 main13 main14 main15 main16 main17 main18 main19 main20 \
	main21 main22 main23 main24 main25 main26 main27 main28 main29 main30 \
	main31 main32 main33 main34 main35 main36 main37 main38 main39 main40: \
	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a
	@mkdir -p $(BINDIR)
	$(CXX) $(CXXFLAGS) -I$(PYTHIA8LOCATION)/$(INCDIR) $@.cc -o $(BINDIR)/$@.exe \
	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 -llhapdfdummy $(LIBGZIP)
	@ln -fs $(BINDIR)/$@.exe $@.exe

# Create an executable linked to HepMC (if all goes well).
# Owing to excessive warning output -Wshadow is not used for HepMC.
ifneq (x$(HEPMCLOCATION),x)
  main41 main42: \
	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libhepmcinterface.a
	@mkdir -p $(BINDIR)
	$(CXX) $(CXXFLAGS) -Wno-shadow -I$(PYTHIA8LOCATION)/$(INCDIR) -I$(HEPMCLOCATION)/include \
	$@.cc -o $(BINDIR)/$@.exe \
	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 -llhapdfdummy $(LIBGZIP) \
	-lhepmcinterface \
	-L$(HEPMCLOCATION)/lib -lHepMC
	@ln -fs $(BINDIR)/$@.exe $@.exe
else
  main41 main42:
	@echo ERROR, this target needs HepMC, variable HEPMCLOCATION
endif

# Create an executable that links to LHAPDF
main51 main52 main53: $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a
	@mkdir -p $(BINDIR)
	$(CXX) $(CXXFLAGS) -I$(PYTHIA8LOCATION)/$(INCDIR) $@.cc -o $(BINDIR)/$@.exe \
	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 $(LIBGZIP) \
	-L$(LHAPDFLOCATION) $(LHAPDFLIBNAME) \
	$(FLIBS)
	@ln -fs $(BINDIR)/$@.exe $@.exe

# Create an executable that links to LHAPDF and HepMC
main61 main62: \
	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libhepmcinterface.a
	@mkdir -p $(BINDIR)
	$(CXX) $(CXXFLAGS) -Wno-shadow -I$(PYTHIA8LOCATION)/$(INCDIR) -I$(HEPMCLOCATION)/include \
	$@.cc -o $(BINDIR)/$@.exe \
	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 -lhepmcinterface $(LIBGZIP) \
	-L$(LHAPDFLOCATION) $(LHAPDFLIBNAME) \
	-L$(HEPMCLOCATION)/lib -lHepMC \
	$(FLIBS)
	@ln -fs $(BINDIR)/$@.exe $@.exe

# Create an executable that links to Fastjet
# Owing to excessive warning output -Wshadow is not used for Fastjet.
# (Fixed as of Fastjet 3.0.1, so will be modified eventually.)
ifneq (x$(FASTJETLOCATION),x)
  main71 main72: $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a
	@mkdir -p $(BINDIR)
    # Note: $(CXXFLAGS) is after Fastjet flags as Fastjet includes
    #       optimisation/debug flags which may be unwanted (e.g. -g -O2)
	$(CXX) -I$(PYTHIA8LOCATION)/$(INCDIR) $@.cc \
	`$(FASTJETLOCATION)/bin/fastjet-config --cxxflags --plugins` \
	$(CXXFLAGS) -Wno-shadow \
	-o $(BINDIR)/$@.exe \
	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 -llhapdfdummy $(LIBGZIP) \
	-L$(FASTJETLOCATION)/lib \
	`$(FASTJETLOCATION)/bin/fastjet-config --libs --plugins`
	@ln -fs $(BINDIR)/$@.exe $@.exe
	@rm -f $@.o
else
  main71 main72:
	@echo ERROR, this target needs Fastjet, variable FASTJETLOCATION
endif

# Create an executable that links to Fastjet, HepMC and LHApdf
# Owing to excessive warning output -Wshadow is not used for Fastjet.
# (Fixed as of Fastjet 3.0.1, so will be modified eventually.)
ifneq (x$(FASTJETLOCATION),x)
  main81 main82 main83 main84: \
	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a  $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libhepmcinterface.a
	@mkdir -p $(BINDIR)
    # Note: $(CXXFLAGS) is after Fastjet flags as Fastjet includes
    #       optimisation/debug flags which may be unwanted (e.g. -g -O2)
	$(CXX) -I$(PYTHIA8LOCATION)/$(INCDIR) $@.cc \
	`$(FASTJETLOCATION)/bin/fastjet-config --cxxflags --plugins` \
	$(CXXFLAGS) -Wno-shadow \
	-I$(PYTHIA8LOCATION)/$(INCDIR) -I$(HEPMCLOCATION)/include \
	-o $(BINDIR)/$@.exe \
	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 \
	-L$(LHAPDFLOCATION) $(LHAPDFLIBNAME) \
	-lhepmcinterface \
	-L$(HEPMCLOCATION)/lib -lHepMC \
	-L$(FASTJETLOCATION)/lib \
	-L$(LHAPDFLOCATION)/lib \
	`$(FASTJETLOCATION)/bin/fastjet-config --libs --plugins`
	@ln -fs $(BINDIR)/$@.exe $@.exe
	@rm -f $@.o
else
  main81 main82 main83 main84:
	@echo ERROR, this target needs Fastjet, variable FASTJETLOCATION
endif

# Create an executable that links to Pythia6. This part is obsolete and 
# only retained, in a watered-down version, for debug purposes.
# Library created with "gfortran -c pythia64xx.f" (xx = current subversion),
# followed by "ar cru libpythia6.a pythia64xx.o" (on Linux).
# You would need to uncomment below and correct pythia6 library path.
#main91: $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a
#	@mkdir -p $(BINDIR)
#	$(CXX) $(CXXFLAGS) -I$(PYTHIA8LOCATION)/$(INCDIR) $@.cc -o $(BINDIR)/$@.exe \
#	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 -llhapdfdummy $(LIBGZIP) \
#	-L/directoryoflibpythia6.a -lpythia6 \
#	$(FLIBS)
#	@ln -fs $(BINDIR)/$@.exe $@.exe

# Clean up: remove executables and outdated files.
.PHONY: clean
clean:
	rm -rf $(BINDIR)
	rm -rf *.exe
	rm -f *~; rm -f \#*; rm -f core*

=== rootexamples/Makefile ===
######################################################################
# Makefile for building Pythia's ROOT examples.
# Axel Naumann, 2011-03-03
######################################################################

# Need this to get SHAREDSUFFIX (e.g. dylib or so)
-include ../config.mk

# A few variables used in this Makefile:
EX           := hist tree
EXE          := $(addsuffix .exe,$(EX))
PYTHIA8      ?= $(PWD)/..
STATICLIB    := $(PYTHIA8)/lib/archive/libpythia8.a
SHAREDLIB    := $(PYTHIA8)/lib/libpythia8.$(SHAREDSUFFIX)
DICTCXXFLAGS := -I$(PYTHIA8)/include 
ROOTCXXFLAGS := $(DICTCXXFLAGS) $(shell root-config --cflags)

# Libraries to include if GZIP support is enabled
ifeq (x$(ENABLEGZIP),xyes)
LIBGZIP=-L$(BOOSTLIBLOCATION) -lboost_iostreams -L$(ZLIBLOCATION) -lz
endif

# LDFLAGS1 for static library, LDFLAGS2 for shared library
LDFLAGS1 := $(shell root-config --ldflags --glibs) \
  -L$(PYTHIA8)/lib/archive -lpythia8 -llhapdfdummy $(LIBGZIP)
LDFLAGS2 := $(shell root-config --ldflags --glibs) \
  -L$(PYTHIA8)/lib -lpythia8 -llhapdfdummy $(LIBGZIP)

# Default target; make examples (but not shared dictionary)
all: $(EX)

# Rule to build hist example. Needs static PYTHIA 8 library
hist: $(STATICLIB) hist.cc
	$(CXX) $(ROOTCXXFLAGS) $@.cc -o $@.exe $(LDFLAGS1)

# Rule to build tree example. Needs dictionary to be built and
# static PYTHIA 8 library
tree: $(STATICLIB) tree.cc
	rootcint -f treeDict.cc -c $(DICTCXXFLAGS) pythiaROOT.h pythiaLinkdef.h
	$(CXX) $(ROOTCXXFLAGS) treeDict.cc $@.cc -o $@.exe $(LDFLAGS1)

# Rule to build full dictionary
dict: $(SHAREDLIB)
	rootcint -f pythiaDict.cc -c $(DICTCXXFLAGS) \
           -DPYTHIA8_COMPLETE_ROOT_DICTIONARY \
           pythiaROOT.h pythiaLinkdef.h
	$(CXX) -shared -o pythiaDict.$(SHAREDSUFFIX) pythiaDict.cc \
         -DPYTHIA8_COMPLETE_ROOT_DICTIONARY \
         $(ROOTCXXFLAGS) $(LDFLAGS2)


# Error messages if PYTHIA libraries don't exist
$(STATICLIB):
	@echo "Error: PYTHIA 8 archive library must be built"
	@false
$(SHAREDLIB):
	@echo "Error: PYTHIA 8 shared library must be built"
	@false

# Clean up
clean:
	rm -f $(EXE) hist.root pythiaDict.* \
               treeDict.cc treeDict.h pytree.root

=== debian/changelog ===
pythia8 (8.1.65-1) unstable; urgency=low

  * Initial release (Closes: #636981)

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 22 May 2012 11:43:00 +0800

=== debian/control ===
Source: pythia8
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libhepmc-dev, texlive-xetex, ghostscript
Standards-Version: 3.9.3
Section: science
Homepage: http://home.thep.lu.se/~torbjorn/Pythia.html
Vcs-Git: git://git.debian.org/git/debian-science/packages/pythia8.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/pythia8.git

Package: pythia8-data
Architecture: all
Multi-arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Recommends: libpythia8
Description: PYTHIA8 data files
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides XML data files of PYTHIA8

Package: libpythia8
Section: libs
Architecture: any
Multi-arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: pythia8-data (= ${source:Version}), liblhapdf0, ${shlibs:Depends}, ${misc:Depends}
Recommends: libpythia8-dev
Description: PYTHIA event generator of high energy physics
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides run-time library of PYTHIA8.

Package: libpythia8-dev
Section: libdevel
Architecture: any
Depends: libpythia8 (= ${binary:Version}), liblhapdf-dev, ${misc:Depends}
Description: PYTHIA event generator of high energy physics - development files
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides development files of PYTHIA8.

Package: libhepmcinterface8
Section: libs
Architecture: any
Multi-arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libhepmc4, libpythia8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: HepMC interface for PYTHIA8
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides HepMC interface for PYTHIA8.

Package: libhepmcinterface8-dev
Section: libdevel
Architecture: any
Depends: libhepmc-dev, libhepmcinterface8 (= ${binary:Version}), libpythia8-dev (= ${binary:Version}), ${misc:Depends}
Description: HepMC interface for PYTHIA8 - development files
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides development files of HepMC interface for PYTHIA8.

Package: pythia8-examples
Section: devel
Architecture: all
Depends: libpythia8-dev (>= ${source:Version}), libhepmcinterface8-dev (>= ${source:Version}), libfastjet-dev, ${misc:Depends}
Description: Example source files of PYTHIA8
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides example source files of PYTHIA8.

Package: pythia8-root-interface
Section: devel
Architecture: all
Depends: root-system, libroot-core-dev, libpythia8-dev (>= ${source:Version}), ${misc:Depends}
Description: Interfaces to call ROOT functions in PYTHIA8 code
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides interfaces to call ROOT functions in PYTHIA8 code.

Package: pythia8-doc-html
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: HTML Documentation of PYTHIA8
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides HTML documentation files of PYTHIA8.

#Package: pythia8-doc-intro
#Section: doc
#Architecture: all
#Depends: ${misc:Depends}
#Description: Introduction Documentation of PYTHIA8
# PYTHIA is a program for the generation of high-energy physics events, i.e.
# for the description of collisions at high energies between elementary
# particles such as e+, e-, p and pbar in various combinations. It contains
# theory and models for a number of physics aspects, including hard and soft
# interactions, parton distributions, initial- and final-state parton showers,
# multiple interactions, fragmentation and decay.
# .
# This package provides A Brief Introduction to PYTHIA 8.1.

Package: pythia8-doc-worksheet
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Worksheet Documentation of PYTHIA8
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 The Worksheet of PYTHIA8 teachs you the basics of how to use the PYTHIA 8.1
 event generator to study various physics aspects.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

LDFLAGSSHARED := LDFLAGS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

USRCXXFLAGS      := $(CPPFLAGS) $(CXXFLAGS)
USRLDFLAGSSHARED := $(LDFLAGS)

export USRCXXFLAGS USRLDFLAGSSHARED MAKEFLAGS

# package name
PKGNAME=$(strip $(shell head -n1 debian/changelog | cut -d' ' -f1))

# current package version
DEBVER=$(strip $(shell \
		head -n 1 debian/changelog | cut -f 2 -d ' ' | tr -d '()'))

# current upstream version (remove any epoch and Debian release number)
UPVER=$(shell echo $(DEBVER) | \
		 sed -e 's/-[^-]*$$//' -e 's/^[^:]*://')

../$(PKGNAME)_$(UPVER).orig.tar.gz:
	./debian/get-orig-source --upstream-version $(shell echo $(UPVER) |\
	       sed -e 's/\.//g') $@

get-orig-source: ../$(PKGNAME)_$(UPVER).orig.tar.gz

configure-stamp:
	dh_auto_configure -- --enable-shared --with-hepmc=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
	for f in debian/lib*.install.in; do \
		sed -e 's,@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH),' $$f \
			> $${f%.in}; \
	done
	touch $@

override_dh_install:
	dh_install
	-rm -f debian/libpythia8-dev/usr/include/pythia8/HepMCInterface.h

build-arch: configure-stamp
	dh_testdir
	$(MAKE) $(MAKEFLAGS)

build-indep: configure-stamp
	dh_testdir
	cd xmldoc; xelatex worksheet; xelatex worksheet
	#cd xmldoc; xelatex pythia8100; xelatex pythia8100

build: build-arch

binary-arch: build-arch
	dh $@

binary-indep: build-indep
	dh $@

binary: binary-arch binary-indep

%:
	dh $@ 

.PHONY: build build-arch build-indep binary binary-arch binary-indep get-orig-source

## pythia8 8.1.76

=== Makefile ===
--- 
+++ 
@@ -195,6 +195,37 @@
  endif
 
 endif
+
+
+# Install targets:
+
+ifneq (x$(INSTALLDIR),x.)
+ install: all
+	mkdir -p $(INSTALLDIR)
+	mkdir -p $(DATADIR)
+	make installit
+ installit: installmain installdata
+ installmain:
+	cp -r include $(INSTALLDIR)/.
+	cp -r lib $(INSTALLDIR)/.
+	cp -p config.mk $(INSTALLDIR)/.
+
+ ifneq ($(DATADIR),$(INSTALLDIR))
+  installdata:
+	rm -rf $(DATADIR)/xmldoc
+	rm -f $(INSTALLDIR)/xmldoc
+	cp -r *doc $(DATADIR)/.
+	ln -fs $(DATADIR)/xmldoc $(INSTALLDIR)/xmldoc
+ else
+  installdata:
+	rm -rf $(INSTALLDIR)/xmldoc
+	cp -r xmldoc $(INSTALLDIR)/.
+ endif
+else
+ install: all
+	@echo "everything is already installed"
+endif
+
 
 # Clean up: remove (almost?) everything that cannot be recreated.

=== examples/Makefile ===
--- 
+++ 
@@ -68,7 +68,7 @@
 	@ln -fs $(BINDIR)/$@.exe $@.exe
 
 # Create an executable that links to LHAPDF and HepMC
-main61 main62: \
+main61 main62 main85 main86 main87 main88: \
 	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libhepmcinterface.a
 	@mkdir -p $(BINDIR)
 	$(CXX) $(CXXFLAGS) -Wno-shadow -I$(PYTHIA8LOCATION)/$(INCDIR) -I$(HEPMCLOCATION)/include \

=== debian/changelog ===
pythia8 (8.1.76-1) unstable; urgency=low

  * New upstream release.

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 07 May 2013 00:10:54 +0800

pythia8 (8.1.75-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Lifeng Sun <lifongsun@gmail.com>  Wed, 06 Mar 2013 09:35:56 +0800

pythia8 (8.1.70-1~exp1) experimental; urgency=low

  * New upstream release.
  * libpythia8: fix version suffix of shared library. (Closes: #681999)
  * pythia8-root-interface: move root-system and libroot-core-dev from
    Depends to Recommends to allow user-compiled ROOT. (Closes: #682004)

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 02 Oct 2012 20:55:17 +0800

=== debian/control ===
--- 
+++ 
@@ -104,7 +104,8 @@
 Package: pythia8-root-interface
 Section: devel
 Architecture: all
-Depends: root-system, libroot-core-dev, libpythia8-dev (>= ${source:Version}), ${misc:Depends}
+Depends: libpythia8-dev (>= ${source:Version}), ${misc:Depends}
+Recommends: root-system, libroot-core-dev
 Description: Interfaces to call ROOT functions in PYTHIA8 code
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

USRCXXFLAGS      := $(CPPFLAGS) $(CXXFLAGS)
USRLDFLAGSSHARED := $(LDFLAGS)

DEBVER=$(strip $(shell \
	head -n 1 debian/changelog | cut -f 2 -d ' ' | tr -d '()'))

UPVER=$(shell echo $(DEBVER) | \
	sed -e 's/-[^-]*$$//' -e 's/^[^:]*://')

export USRCXXFLAGS USRLDFLAGSSHARED UPVER

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-shared \
		--with-hepmc=/usr \
		--prefix=/usr \
		--installdir=$(CURDIR)/debian/tmp/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
	for f in debian/lib*.install.in; do \
		sed -e 's,@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH),' $$f \
			> $${f%.in}; \
	done

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	dh_auto_install

override_dh_install:
	dh_install
	-rm -f debian/libpythia8-dev/usr/include/pythia8/HepMCInterface.h

override_dh_auto_build-indep:
	dh_auto_build
	cd xmldoc; xelatex worksheet; xelatex worksheet
	#cd xmldoc; xelatex pythia8100; xelatex pythia8100

%:
	dh $@ --parallel

## pythia8 8.1.80

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 #                     26.03.2008 CLHEP dependency removed
 #                  N. Lavesson 28.04.2009 clean/distclean separated
 #                  M. Kirsanov 21.07.2009 Mac-OSX flags added
+
+.PHONY: all install installit installmain installdata clean distclean
 
 SHELL = /bin/sh
 
@@ -46,19 +48,21 @@
 endif
 
 ifneq (x$(HEPMCLOCATION),x)
- targets+=$(LIBDIRARCH)/libhepmcinterface.a
+ targets+=$(LIBDIRARCH)/libpythia8tohepmc.a
  ifeq ($(SHAREDLIBS),yes)
-  targets+=$(LIBDIR)/libhepmcinterface.$(SHAREDSUFFIX)
+  targets+=$(LIBDIR)/libpythia8tohepmc.$(SHAREDSUFFIX)
  endif
 endif
 
 
 all: $(targets) config.mk
 
-config.mk: ./configure
+# This default run of configure should only happen if configure 
+# has not already been explicitly run.
+config.mk:
 	./configure
 
-# Main part: build Pythia8 library. 
+# Main part: build Pythia8 library.
 
 $(MYTMPDIR)/%.o : $(SRCDIR)/%.cc
 	@mkdir -p $(MYTMPDIR)
@@ -142,15 +146,15 @@
 
  ifeq (x$(HEPMCERROR),x)
 
-   $(MYTMPDIR)/%.o : hepmcinterface/%.cc config.mk
+   $(MYTMPDIR)/%.o : pythia8tohepmc/%.cc config.mk
 	@mkdir -p $(MYTMPDIR)
 	$(CXX) $(CXXFLAGS) $(CXXFLAGSSHARED) $(HEPMCVFLAG) -c -I$(INCDIR) $(HEPMCINCLUDE) $< -o $@
 
-   $(MYTMPDIR)/archive/%.o : hepmcinterface/%.cc config.mk
+   $(MYTMPDIR)/archive/%.o : pythia8tohepmc/%.cc config.mk
 	@mkdir -p $(MYTMPDIR)/archive
 	$(CXX) $(CXXFLAGS) $(HEPMCVFLAG) -c -I$(INCDIR) $(HEPMCINCLUDE) $< -o $@
 
-   $(MYTMPDIR)/%.d : hepmcinterface/%.cc
+   $(MYTMPDIR)/%.d : pythia8tohepmc/%.cc
 	@echo Making dependency for file $<; \
 	mkdir -p $(MYTMPDIR); \
 	$(CC) -M -I$(INCDIR) $(HEPMCINCLUDE) $< | \
@@ -158,7 +162,7 @@
 	sed 's/$*.o/$(MYTMPDIR)\/$*.o/' > $@; \
 	[ -s $@ ] || rm -f $@
 
-   $(MYTMPDIR)/archive/%.d : hepmcinterface/%.cc
+   $(MYTMPDIR)/archive/%.d : pythia8tohepmc/%.cc
 	@echo Making dependency for file $<; \
 	mkdir -p $(MYTMPDIR)/archive; \
 	$(CC) -M -I$(INCDIR) $(HEPMCINCLUDE) $< | \
@@ -166,19 +170,19 @@
 	sed 's/$*.o/$(MYTMPDIR)\/archive\/$*.o/' > $@; \
 	[ -s $@ ] || rm -f $@
 
-   objectsI := $(patsubst hepmcinterface/%.cc,$(MYTMPDIR)/%.o,$(wildcard hepmcinterface/*.cc))
-   objectsIarch := $(patsubst hepmcinterface/%.cc,$(MYTMPDIR)/archive/%.o,$(wildcard hepmcinterface/*.cc))
-
-   $(LIBDIR)/libhepmcinterface.$(SHAREDSUFFIX) : $(objectsI)
+   objectsI := $(patsubst pythia8tohepmc/%.cc,$(MYTMPDIR)/%.o,$(wildcard pythia8tohepmc/*.cc))
+   objectsIarch := $(patsubst pythia8tohepmc/%.cc,$(MYTMPDIR)/archive/%.o,$(wildcard pythia8tohepmc/*.cc))
+
+   $(LIBDIR)/libpythia8tohepmc.$(SHAREDSUFFIX) : $(objectsI)
 	@mkdir -p $(LIBDIR)
 	$(CXX) $(LDFLAGSSHARED) $(objectsI) -o $@ $(LDFLAGLIBNAME),$(notdir $@)
 
-   $(LIBDIRARCH)/libhepmcinterface.a : $(objectsIarch)
+   $(LIBDIRARCH)/libpythia8tohepmc.a : $(objectsIarch)
 	@mkdir -p $(LIBDIRARCH)
-	ar cru $(LIBDIRARCH)/libhepmcinterface.a $(objectsIarch)
-
-   depsI := $(patsubst hepmcinterface/%.cc,$(MYTMPDIR)/%.d,$(wildcard hepmcinterface/*.cc))
-   depsIarch := $(patsubst hepmcinterface/%.cc,$(MYTMPDIR)/archive/%.d,$(wildcard hepmcinterface/*.cc))
+	ar cru $(LIBDIRARCH)/libpythia8tohepmc.a $(objectsIarch)
+
+   depsI := $(patsubst pythia8tohepmc/%.cc,$(MYTMPDIR)/%.d,$(wildcard pythia8tohepmc/*.cc))
+   depsIarch := $(patsubst pythia8tohepmc/%.cc,$(MYTMPDIR)/archive/%.d,$(wildcard pythia8tohepmc/*.cc))
 
    ifeq (,$(findstring clean, $(MAKECMDGOALS)))
    -include $(depsI)
@@ -187,7 +191,7 @@
 
  else
 
-   $(LIBDIRARCH)/libhepmcinterface.a $(LIBDIR)/libhepmcinterface.$(SHAREDSUFFIX) :
+   $(LIBDIRARCH)/libpythia8tohepmc.a $(LIBDIR)/libpythia8tohepmc.$(SHAREDSUFFIX) :
 	@echo $(HEPMCERROR)
 
 
@@ -202,6 +206,7 @@
 ifneq (x$(INSTALLDIR),x.)
  install: all
 	mkdir -p $(INSTALLDIR)
+	mkdir -p $(INSTALLDIR)/bin
 	mkdir -p $(DATADIR)
 	make installit
  installit: installmain installdata
@@ -209,6 +214,7 @@
 	cp -r include $(INSTALLDIR)/.
 	cp -r lib $(INSTALLDIR)/.
 	cp -p config.mk $(INSTALLDIR)/.
+	cp -p bin/pythia8-config $(INSTALLDIR)/bin/
 
  ifneq ($(DATADIR),$(INSTALLDIR))
   installdata:
@@ -229,24 +235,23 @@
 
 # Clean up: remove (almost?) everything that cannot be recreated.
 
-.PHONY: clean distclean
-
 clean:
 	rm -rf $(MYTMPDIR)
 	rm -rf $(LIBDIR)
-	rm -rf $(BINDIR)
+	rm -rf $(BINDIR)/*.exe
 	cd examples; rm -rf bin; rm -f *.exe; cd -
 	cd rootexamples; rm -f *.exe; cd -
 
 distclean: clean
 	rm -f config.mk
 	rm -f *~; rm -f \#*;
+	rm -rf $(BINDIR)
 	cd $(SRCDIR); rm -f *~; rm -f \#*; cd -
-	cd $(INCDIR); rm -f *~; rm -f \#*; cd -
+	cd $(INCDIR)/Pythia8; rm -f *~; rm -f \#*; cd -
 	cd xmldoc; rm -f *~; rm -f \#*; cd -
 	cd htmldoc; rm -f *~; rm -f \#*; cd -
 	cd phpdoc; rm -f *~; rm -f \#*; cd -
-	cd hepmcinterface; rm -f *~; rm -f \#*; cd -
+	cd pythia8tohepmc; rm -f *~; rm -f \#*; cd -
 	cd lhapdfdummy; rm -f *~; rm -f \#*; cd -
 	cd examples; rm -f *~; rm -f \#*; rm -f core*; rm -f config.*; cd -
 	cd rootexamples; rm -f *~; rm -f \#*; rm -f core*; rm -f config.*; cd -

=== examples/Makefile ===
--- 
+++ 
@@ -45,12 +45,12 @@
 # Owing to excessive warning output -Wshadow is not used for HepMC.
 ifneq (x$(HEPMCLOCATION),x)
   main41 main42: \
-	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libhepmcinterface.a
+	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8tohepmc.a
 	@mkdir -p $(BINDIR)
 	$(CXX) $(CXXFLAGS) -Wno-shadow -I$(PYTHIA8LOCATION)/$(INCDIR) -I$(HEPMCLOCATION)/include \
 	$@.cc -o $(BINDIR)/$@.exe \
 	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 -llhapdfdummy $(LIBGZIP) \
-	-lhepmcinterface \
+	-lpythia8tohepmc \
 	-L$(HEPMCLOCATION)/lib -lHepMC
 	@ln -fs $(BINDIR)/$@.exe $@.exe
 else
@@ -69,11 +69,11 @@
 
 # Create an executable that links to LHAPDF and HepMC
 main61 main62 main85 main86 main87 main88: \
-	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libhepmcinterface.a
+	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8tohepmc.a
 	@mkdir -p $(BINDIR)
 	$(CXX) $(CXXFLAGS) -Wno-shadow -I$(PYTHIA8LOCATION)/$(INCDIR) -I$(HEPMCLOCATION)/include \
 	$@.cc -o $(BINDIR)/$@.exe \
-	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 -lhepmcinterface $(LIBGZIP) \
+	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 -lpythia8tohepmc $(LIBGZIP) \
 	-L$(LHAPDFLOCATION) $(LHAPDFLIBNAME) \
 	-L$(HEPMCLOCATION)/lib -lHepMC \
 	$(FLIBS)
@@ -106,7 +106,7 @@
 # (Fixed as of Fastjet 3.0.1, so will be modified eventually.)
 ifneq (x$(FASTJETLOCATION),x)
   main81 main82 main83 main84: \
-	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a  $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libhepmcinterface.a
+	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a  $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8tohepmc.a
 	@mkdir -p $(BINDIR)
     # Note: $(CXXFLAGS) is after Fastjet flags as Fastjet includes
     #       optimisation/debug flags which may be unwanted (e.g. -g -O2)
@@ -117,7 +117,7 @@
 	-o $(BINDIR)/$@.exe \
 	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 \
 	-L$(LHAPDFLOCATION) $(LHAPDFLIBNAME) \
-	-lhepmcinterface \
+	-lpythia8tohepmc \
 	-L$(HEPMCLOCATION)/lib -lHepMC \
 	-L$(FASTJETLOCATION)/lib \
 	-L$(LHAPDFLOCATION)/lib \
@@ -129,19 +129,6 @@
 	@echo ERROR, this target needs Fastjet, variable FASTJETLOCATION
 endif
 
-# Create an executable that links to Pythia6. This part is obsolete and 
-# only retained, in a watered-down version, for debug purposes.
-# Library created with "gfortran -c pythia64xx.f" (xx = current subversion),
-# followed by "ar cru libpythia6.a pythia64xx.o" (on Linux).
-# You would need to uncomment below and correct pythia6 library path.
-#main91: $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a
-#	@mkdir -p $(BINDIR)
-#	$(CXX) $(CXXFLAGS) -I$(PYTHIA8LOCATION)/$(INCDIR) $@.cc -o $(BINDIR)/$@.exe \
-#	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 -llhapdfdummy $(LIBGZIP) \
-#	-L/directoryoflibpythia6.a -lpythia6 \
-#	$(FLIBS)
-#	@ln -fs $(BINDIR)/$@.exe $@.exe
-
 # Clean up: remove executables and outdated files.
 .PHONY: clean
 clean:

=== rootexamples/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	rootcint -f pythiaDict.cc -c $(DICTCXXFLAGS) \
            -DPYTHIA8_COMPLETE_ROOT_DICTIONARY \
            pythiaROOT.h pythiaLinkdef.h
-	$(CXX) -shared -o pythiaDict.$(SHAREDSUFFIX) pythiaDict.cc \
+	$(CXX) -shared -fPIC -o pythiaDict.$(SHAREDSUFFIX) pythiaDict.cc \
          -DPYTHIA8_COMPLETE_ROOT_DICTIONARY \
          $(ROOTCXXFLAGS) $(LDFLAGS2)

=== debian/changelog ===
pythia8 (8.1.80-1) unstable; urgency=low

  * New upstream release.
  * debian/control: remove obsolete DM-Upload-Allowed.
  * Move HepMC interface to libpythia8* packages.
  * Canonical VCS-* fields.
  * Bump Standards-Version to 3.9.4.

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 16 Dec 2013 15:39:45 +0800

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libhepmc-dev, texlive-xetex, ghostscript
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: science
 Homepage: http://home.thep.lu.se/~torbjorn/Pythia.html
-Vcs-Git: git://git.debian.org/git/debian-science/packages/pythia8.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/pythia8.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/pythia8.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pythia8.git
 
 Package: pythia8-data
 Architecture: all
@@ -31,7 +30,7 @@
 Architecture: any
 Multi-arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: pythia8-data (= ${source:Version}), liblhapdf0, ${shlibs:Depends}, ${misc:Depends}
+Depends: libhepmc4, pythia8-data (= ${source:Version}), liblhapdf0, ${shlibs:Depends}, ${misc:Depends}
 Recommends: libpythia8-dev
 Description: PYTHIA event generator of high energy physics
  PYTHIA is a program for the generation of high-energy physics events, i.e.
@@ -46,7 +45,8 @@
 Package: libpythia8-dev
 Section: libdevel
 Architecture: any
-Depends: libpythia8 (= ${binary:Version}), liblhapdf-dev, ${misc:Depends}
+Depends: libhepmc-dev, libpythia8 (= ${binary:Version}), liblhapdf-dev, ${misc:Depends}
+Breaks: libhepmcinterface8-dev (<< 8.1.80)
 Description: PYTHIA event generator of high energy physics - development files
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
@@ -62,8 +62,8 @@
 Architecture: any
 Multi-arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libhepmc4, libpythia8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: HepMC interface for PYTHIA8
+Depends: libpythia8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: HepMC interface for PYTHIA8 (obsolete)
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
  particles such as e+, e-, p and pbar in various combinations. It contains
@@ -71,13 +71,14 @@
  interactions, parton distributions, initial- and final-state parton showers,
  multiple interactions, fragmentation and decay.
  .
- This package provides HepMC interface for PYTHIA8.
+ This is a transitional dummy package, HepMC interface has been moved into
+ the package 'libpythia8'.
 
 Package: libhepmcinterface8-dev
 Section: libdevel
 Architecture: any
-Depends: libhepmc-dev, libhepmcinterface8 (= ${binary:Version}), libpythia8-dev (= ${binary:Version}), ${misc:Depends}
-Description: HepMC interface for PYTHIA8 - development files
+Depends: libhepmcinterface8 (= ${binary:Version}), libpythia8-dev (= ${binary:Version}), ${misc:Depends}
+Description: HepMC interface for PYTHIA8 - development files (obsolete)
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
  particles such as e+, e-, p and pbar in various combinations. It contains
@@ -85,7 +86,8 @@
  interactions, parton distributions, initial- and final-state parton showers,
  multiple interactions, fragmentation and decay.
  .
- This package provides development files of HepMC interface for PYTHIA8.
+ This is a transitional dummy package, HepMC interface has been moved into
+ the package 'libpythia8-dev'.
 
 Package: pythia8-examples
 Section: devel

=== debian/rules ===
--- 
+++ 
@@ -37,10 +37,6 @@
 	mkdir -p $(CURDIR)/debian/tmp/usr
 	dh_auto_install
 
-override_dh_install:
-	dh_install
-	-rm -f debian/libpythia8-dev/usr/include/pythia8/HepMCInterface.h
-
 override_dh_auto_build-indep:
 	dh_auto_build
 	cd xmldoc; xelatex worksheet; xelatex worksheet

## pythia8 8.1.86

=== examples/Makefile ===
--- 
+++ 
@@ -34,7 +34,8 @@
 main00  main01 main02 main03 main04 main05 main06 main07 main08 main09 main10 \
 	main11 main12 main13 main14 main15 main16 main17 main18 main19 main20 \
 	main21 main22 main23 main24 main25 main26 main27 main28 main29 main30 \
-	main31 main32 main33 main34 main35 main36 main37 main38 main39 main40: \
+	main31 main32 main33 main34 main35 main36 main37 main38 main39 main40 \
+	main80: \
 	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a
 	@mkdir -p $(BINDIR)
 	$(CXX) $(CXXFLAGS) -I$(PYTHIA8LOCATION)/$(INCDIR) $@.cc -o $(BINDIR)/$@.exe \
@@ -59,7 +60,7 @@
 endif
 
 # Create an executable that links to LHAPDF
-main51 main52 main53: $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a
+main51 main52 main53 main54: $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a
 	@mkdir -p $(BINDIR)
 	$(CXX) $(CXXFLAGS) -I$(PYTHIA8LOCATION)/$(INCDIR) $@.cc -o $(BINDIR)/$@.exe \
 	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 $(LIBGZIP) \

=== debian/changelog ===
pythia8 (8.1.86-1.2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:01 +0100

pythia8 (8.1.86-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Depend on liblhapdf0 from binary package libpythia8v5, it does not
    link aginst it (Closes: #800642)
  * Also, for the libpythia-dev package, remove Depends on liblhapdf-dev: It
    does not include any header of it.
  * Installing missing *.grid data files (Closes: #755535)

 -- Tobias Frost <tobi@debian.org>  Sat, 26 Dec 2015 13:08:49 +0100

pythia8 (8.1.86-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791252).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:53:45 +0200

pythia8 (8.1.86-1) unstable; urgency=medium

  * New upstream release.
  * Ship upstream PDF document.
  * Bump Standards-Version to 3.9.5.

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 13 Jul 2014 09:01:20 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libhepmc-dev, texlive-xetex, ghostscript
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: science
 Homepage: http://home.thep.lu.se/~torbjorn/Pythia.html
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/pythia8.git
@@ -14,7 +14,7 @@
 Multi-arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Recommends: libpythia8
+Recommends: libpythia8v5
 Description: PYTHIA8 data files
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
@@ -25,13 +25,15 @@
  .
  This package provides XML data files of PYTHIA8
 
-Package: libpythia8
+Package: libpythia8v5
 Section: libs
 Architecture: any
 Multi-arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libhepmc4, pythia8-data (= ${source:Version}), liblhapdf0, ${shlibs:Depends}, ${misc:Depends}
+Depends: libhepmc4, pythia8-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: libpythia8-dev
+Conflicts: libpythia8
+Replaces: libpythia8
 Description: PYTHIA event generator of high energy physics
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
@@ -45,7 +47,7 @@
 Package: libpythia8-dev
 Section: libdevel
 Architecture: any
-Depends: libhepmc-dev, libpythia8 (= ${binary:Version}), liblhapdf-dev, ${misc:Depends}
+Depends: libhepmc-dev, libpythia8v5 (= ${binary:Version}), ${misc:Depends}
 Breaks: libhepmcinterface8-dev (<< 8.1.80)
 Description: PYTHIA event generator of high energy physics - development files
  PYTHIA is a program for the generation of high-energy physics events, i.e.
@@ -62,7 +64,7 @@
 Architecture: any
 Multi-arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpythia8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libpythia8v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: HepMC interface for PYTHIA8 (obsolete)
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
@@ -92,7 +94,7 @@
 Package: pythia8-examples
 Section: devel
 Architecture: all
-Depends: libpythia8-dev (>= ${source:Version}), libhepmcinterface8-dev (>= ${source:Version}), libfastjet-dev, ${misc:Depends}
+Depends: libpythia8-dev (>= ${source:Version}), libfastjet-dev, ${misc:Depends}
 Description: Example source files of PYTHIA8
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 override_dh_auto_build-indep:
 	dh_auto_build
-	cd xmldoc; xelatex worksheet; xelatex worksheet
+	#cd xmldoc; xelatex worksheet; xelatex worksheet
 	#cd xmldoc; xelatex pythia8100; xelatex pythia8100
 
 %:

=== debian/watch ===
version=3

opts=dversionmangle=s/\.//g \
    http://home.thep.lu.se/~torbjorn/pythiaaux/present.html .*pythia(.*)\.tgz \
    debian ./debian/get-orig-source
